Bug 85542 - FILEOPEN: DOCX import of overlapping bookmarks broken
Summary: FILEOPEN: DOCX import of overlapping bookmarks broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2014-10-28 06:42 UTC by Luke
Modified: 2015-12-17 04:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document to test overlapping bookmarks (10.02 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-10-28 06:42 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-10-28 06:42:46 UTC
Created attachment 108555 [details]
sample document to test overlapping bookmarks

Steps to reproduce:
1. Open testdoc01-2007.docx in Word
2. Go to->Bookmark->B1 and B2
3. Open testdoc01-2007.docx in Writer
4. Navigator->Bookmark->B1 and B2

Results:
Word2013 - b1:[A[BBB], b2:[BBB]C]
AOO 4.2 - b1:[A[BBB], b2:[BBB]C] - Good
LO 4.2.6.3 - b1:[A[BBB], b2:[BBB]C] - Good
LO 4.4 master - b1:[BBB]C], b2:[A[BBB] - bookmark b1 and b2 are reversed

Why this is important:
"This is a serious issue as in Microsoft Word document certain internal used bookmarks for TOC link target and Cross-References are overlapping resp. marking the same text range."

Patches to fix AOO:
http://cgit.freedesktop.org/libreoffice/core/commit/?h=aoo/trunk&id=f73412f09ca8a34bb7ec73370dae3e6033c0c581

http://cgit.freedesktop.org/libreoffice/core/commit/?h=aoo/trunk&id=f27e75828f65ce454a50f92ba64ee6847456f88f
Comment 1 Yousuf Philips (jay) (retired) 2014-10-28 07:53:48 UTC
Confirmed in master. Its fine in 4.3 daily.

Version: 4.4.0.0.alpha1+
Build ID: 6ba8b7f5eacac969e4781d63718083a05491b1bc
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-10-24_05:10:51
Comment 2 Xisco Faulí 2014-10-28 10:56:09 UTC
Bibisected: Regression introduced in range e942fbfad420cf9e6e4ba7358380e1fec3d13952..57dcc9f3e9a7d2ebc86cf444729a7a08820418a1
Comment 3 Luke 2014-11-12 05:46:01 UTC
Jan Holesovsky,

I tracked down the source of this regression to your optimization in these 2 commits:
http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=6c4de449094048465b81abf93139bb5950fa12c9..00db42fec1056999e8aaa5a5cd671ecb7f89c57a

Where 6c4de449094048465b81abf93139bb5950fa12c9:Good
00db42fec1056999e8aaa5a5cd671ecb7f89c57a:Bad

Can you please take a look at this? Thanks!
Comment 4 Xisco Faulí 2014-11-12 09:13:00 UTC
It seems that the commit that caused this regression was identified. (Or at
least a commit is suspected as the offending one.)

Thus setting keyword "bisected".
Comment 5 Björn Michaelsen 2014-11-16 16:27:37 UTC
Should be fixed with: https://gerrit.libreoffice.org/#/c/12491/
Comment 6 Commit Notification 2014-11-17 17:14:25 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b1bd96e70230e498ea1c76388a684e5a5c3cbff4

fdo#85542: fix DOCX import of overlapping bookmarks

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jan Holesovsky 2014-11-20 23:12:28 UTC
Luke, thanks for the perfectly researched bugreport, and Bjoern, thanks for the fix! :-) - closing the bug.
Comment 8 Robinson Tryon (qubit) 2015-12-17 04:37:11 UTC
Migrating Whiteboard tags to Keywords: (filter:docx, bibisected)
[NinjaEdit]